=== debian/changelog ===
ros-indigo-grasp-planning-graspit-ros (1.2.0-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (1.1.3-0trusty) trusty; urgency=high

  * Adaptation for graspit upstream merge
  * Changed link/finger names for new jaco
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Thu, 04 Jan 2018 23:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (1.1.1-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Sat, 06 Aug 2016 22:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (1.1.0-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 25 Jul 2016 22:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (1.0.0-0trusty) trusty; urgency=high

  * Now compiles with new graspit and new urdf2inventor
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (0.1.5-0trusty) trusty; urgency=high

  * Added pre-grasp state computation
  * Added helper class EigenGraspPlannerClient and some example grasp results for Jaco
  * Now support addition of an auto-grasp as finalization of grasp planning, and control of how many results are saved
  * Added means to save a Grasp.msg and added a table obstacle
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (0.1.3-0trusty) trusty; urgency=high

  * added launch directory installs
  * Adapted cmake file to for jenkins, and removed c++11 flag, which required fixing two little things in sources
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 07 Mar 2016 23:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (0.1.2-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Thu, 03 Mar 2016 23:00:00 -0000

ros-indigo-grasp-planning-graspit-ros (0.1.0-0trusty) trusty; urgency=high

  * roslinted
  * graspit fork is now compiled into libraries here and doesn't need to be installed separately
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000
