=== debian/control ===
Source: ros-indigo-grasp-planning-graspit-ros
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-grasp-planning-graspit, ros-indigo-grasp-planning-graspit-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp, ros-indigo-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-grasp-planning-graspit-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-grasp-planning-graspit, ros-indigo-grasp-planning-graspit-msgs, ros-indigo-manipulation-msgs, ros-indigo-roscpp
Description: ROS services for the grasp_planning_graspit package
